Bug 221302 - RFE: php should provides php(zend-api)
RFE: php should provides php(zend-api)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks: 221303
  Show dependency treegraph
 
Reported: 2007-01-03 12:48 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.2.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 07:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-01-03 12:48:43 EST
From Fedora Packaging Committee 2007-1-2 meeting minutes 
http://www.fedoraproject.org/wiki/Packaging/IRCLog20070102

(09:54:43 AM) Rathann|work: php(api) and php-zend(abi) are cosmetic really,
although it'd be great if they could be made consistent with python/perl/ruby
...
(10:03:28 AM) tibbs: So are we resolved to try to get the symbol changed to
php-zend(api)?
(10:03:45 AM) spot: tibbs: +1 from me
(10:03:47 AM) abadger1999: tibbs: +1
(10:03:56 AM) Rathann|work: consistency is good

Of course, it will be great to have this on maintained versions (mean devel, FC6
and even FC5)
  

So, can you update php to provide :
Provides: php-api = %{apiver}, php(api) = %{apiver}, php(zend-abi) = %{zendver}
- php-api is used for a very long time, so must be keep
- php(..) will be used for packaging Guidelines


Thanks.
Comment 1 Fedora Update System 2007-02-20 23:16:59 EST
php-5.1.6-3.4.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.